Re: [OMPI users] growing memory use from MPI application

2019-06-19 Thread Joshua Ladd via users
Hi, Noam Can you try your original command line with the following addition: mpirun —mca pml ucx —mca btl ^vader,tcp,openib -*mca osc ucx * I think we're seeing some conflict between UCX PML and UCT OSC. Josh On Wed, Jun 19, 2019 at 4:36 PM Noam Bernstein via users <

Re: [OMPI users] UCX and MPI_THREAD_MULTIPLE

2019-08-26 Thread Joshua Ladd via users
it was built using the default version > of UCX that comes with EPEL (1.5.1). We only built 1.6.0 as the version > provided by EPEL did not build with MT enabled, which to me seems strange > as I don't see any reason not to build with MT enabled. Anyways that's the > deeper context. &

Re: [OMPI users] UCX and MPI_THREAD_MULTIPLE

2019-08-26 Thread Joshua Ladd via users
out >> this kink so if users do hit it we have a solution. As noted UCX is very >> new to us and thus it is entirely possible that we are missing something in >> its interaction with OpenMPI. Our MPI is compiled thusly: >> >> >> https://github.com/fasrc/helmod/bl

Re: [OMPI users] UCX and MPI_THREAD_MULTIPLE

2019-08-23 Thread Joshua Ladd via users
Paul, Can you provide a repro and command line, please. Also, what network hardware are you using? Josh On Fri, Aug 23, 2019 at 3:35 PM Paul Edmon via users < users@lists.open-mpi.org> wrote: > I have a code using MPI_THREAD_MULTIPLE along with MPI-RMA that I'm > using OpenMPI 4.0.1. Since

Re: [OMPI users] CUDA-aware codes not using GPU

2019-09-06 Thread Joshua Ladd via users
Did you build UCX with CUDA support (--with-cuda) ? Josh On Thu, Sep 5, 2019 at 8:45 PM AFernandez via users < users@lists.open-mpi.org> wrote: > Hello OpenMPI Team, > > I'm trying to use CUDA-aware OpenMPI but the system simply ignores the GPU > and the code runs on the CPUs. I've tried